Bug 1870360 - Hiding filters on search page causes spacing issue with column management
Summary: Hiding filters on search page causes spacing issue with column management
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Joe Caiani
QA Contact: Yadan Pei
URL:
Whiteboard:
: 1872267 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-19 20:46 UTC by Joe Caiani
Modified: 2020-09-01 07:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Search Page (312.18 KB, image/png)
2020-08-31 08:53 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6381 None closed Bug 1870360: Fix toolbar spacing issue on search page 2020-08-31 01:06:41 UTC

Description Joe Caiani 2020-08-19 20:46:41 UTC
Description of problem:
Hiding filters on search page causes spacing issue with column management button. 

Version-Release number of selected component (if applicable):


How reproducible:
always reproducible on pages with column management

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Robb Hamilton 2020-08-25 15:23:07 UTC
*** Bug 1872267 has been marked as a duplicate of this bug. ***

Comment 6 Yadan Pei 2020-08-31 07:39:33 UTC
The latest accepted 4.6 nightly 4.6.0-0.nightly-2020-08-27-005538 doesn't include the fix PR 


# export PAYLOAD=registry.svc.ci.openshift.org/ocp/release:4.6.0-0.nightly-2020-08-27-005538
[root@preserved-qe-ui-rhel-1 console]# oc adm release info $PAYLOAD --pullspecs | grep console
  console                                        quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3a3ccd44b0545258785c52d90d43a2bebc80365f52a7f2eb28601a2957020310
  console-operator                               quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:741428633e21bddb5f6b86970a6d62f9ed2b762bafd074f2bb7a09aa3aaf5d0a
[root@preserved-qe-ui-rhel-1 console]# export CONSOLE_IMAGE=quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:3a3ccd44b0545258785c52d90d43a2bebc80365f52a7f2eb28601a2957020310
[root@preserved-qe-ui-rhel-1 console]# oc image info $CONSOLE_IMAGE | grep commit
             io.openshift.build.commit.id=9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf
             io.openshift.build.commit.url=https://github.com/openshift/console/commit/9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf
[root@preserved-qe-ui-rhel-1 console]# git log 9cc959b2ec10e83dd0f9c6dc0e70c0ae4fb03daf | grep '#6381'   //nothing returns

Comment 7 Yadan Pei 2020-08-31 08:53:53 UTC
Created attachment 1713122 [details]
Search Page

Nightly 4.6.0-0.nightly-2020-08-31-012413 contains the fix

However on Search page, I didn't see Column Management toolbar (check screenshot in attachment)

Comment 8 Yadan Pei 2020-08-31 08:56:23 UTC
Joe,

I guess the difference in the PR screenshot is less spacing after the fix, but I didn't see a Column Management tooltip on my cluster, can you help confirm?

Comment 9 Joe Caiani 2020-08-31 18:27:17 UTC
confirming, the code for results from the search page should only include the filters that are specific to the resource. everything else should be removed. thanks!

Comment 10 Yadan Pei 2020-09-01 07:02:13 UTC
according to comment 9, I think now Search page are only showing the filters specific to the resource. Moving to VERIFIED

This is checked on 4.6.0-0.nightly-2020-08-31-194600


Note You need to log in before you can comment on or make changes to this bug.